/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Apophenia", "index.html", [
    [ "Welcome", "index.html", null ],
    [ "Getting started", "preliminaries.html", [
      [ "A quick overview", "gentle.html", [
        [ "apop_data", "gentle.html#apop_data", null ],
        [ "apop_model", "gentle.html#gentle_model", null ],
        [ "Conclusion", "gentle.html#gentle_end", null ]
      ] ],
      [ "Setting up", "setup.html", [
        [ "The supporting cast", "setup.html#cast", null ],
        [ "Not root?", "notroot.html", null ],
        [ "Makefile", "makefile.html", null ],
        [ "Windows", "windows.html", [
          [ "MinGW", "mingw.html", null ]
        ] ]
      ] ],
      [ "Some examples", "eg.html", null ],
      [ "References and extensions", "refstatusext.html", [
        [ "The book version", "refstatusext.html#mwd", null ],
        [ "How do I write extensions?", "refstatusext.html#ext", null ],
        [ "Further references", "refstatusext.html#links", null ],
        [ "C, SQL and coding utilities", "c.html", [
          [ "Errors, logging, debugging and stopping", "c.html#debugging", null ],
          [ "Verbosity level and logging", "c.html#verbsec", null ],
          [ "Stopping", "c.html#Stopping", null ],
          [ "Legible output", "c.html#Legi", null ],
          [ "About SQL, the syntax for querying databases", "c.html#sqlsec", null ],
          [ "Threading", "c.html#threads", null ],
          [ "Designated initializers", "designated.html", null ]
        ] ]
      ] ]
    ] ],
    [ "An outline of the library", "outline.html", [
      [ "Data sets", "dataoverview.html", [
        [ "Pages", "dataoverview.html#pps", null ],
        [ "Functions for using apop_data sets", "dataoverview.html#datafns", [
          [ "Reading from text files", "dataoverview.html#readin", null ]
        ] ],
        [ "Alloc/free", "dataoverview.html#datalloc", null ],
        [ "Using views", "dataoverview.html#gslviews", null ],
        [ "Set/get", "dataoverview.html#data_set_get", null ],
        [ "Map/apply", "dataoverview.html#mapply", null ],
        [ "Basic Math", "dataoverview.html#matrixmathtwo", null ],
        [ "Matrix math", "dataoverview.html#matrixmath", null ],
        [ "Summary stats", "dataoverview.html#sumstats", null ],
        [ "Moments", "dataoverview.html#moments", null ],
        [ "Conversion among types", "dataoverview.html#convsec", null ],
        [ "Name handling", "dataoverview.html#names", null ],
        [ "Text data", "dataoverview.html#textsec", [
          [ "Generating factors", "dataoverview.html#fact", null ]
        ] ],
        [ "Input text file formatting", "text_format.html", null ]
      ] ],
      [ "Databases", "dbs.html", [
        [ "Extracting data from the database", "dbs.html#edftd", null ],
        [ "Writing data to the database", "dbs.html#wdttd", null ],
        [ "Command-line utilities", "dbs.html#cmdline", null ],
        [ "Database moments (plus pow()!)", "dbs.html#db_moments", null ]
      ] ],
      [ "Models", "modelsec.html", [
        [ "Parameterizing or initializing a model", "modelsec.html#modelparameterization", null ],
        [ "Filtering & updating", "modelsec.html#transformsec", null ],
        [ "Model methods", "modelsec.html#mathmethods", null ],
        [ "Settings groups", "modelsec.html#modelsettings", null ],
        [ "Data format for regression-type models", "dataones.html", null ]
      ] ],
      [ "Tests & diagnostics", "testpage.html", null ],
      [ "Optimization", "maxipage.html", [
        [ "Setting Constraints", "maxipage.html#constr", null ],
        [ "Notes on simulated annealing", "maxipage.html#simanneal", null ],
        [ "Useful functions", "maxipage.html#mlfns", null ]
      ] ],
      [ "Assorted", "moreasst.html", null ]
    ] ],
    [ "Empirical distributions and PMFs (probability mass functions)", "histosec.html", [
      [ "Comparing histograms", "histosec.html#histocompare", null ]
    ] ],
    [ "Writing new models", "modeldetails.html", [
      [ "A walkthrough", "modeldetails.html#write_likelihoods", [
        [ "Threading", "modeldetails.html#On", null ]
      ] ],
      [ "Writing new settings groups", "modeldetails.html#settingswriting", null ],
      [ "Registering new methods in vtables", "modeldetails.html#vtables", null ],
      [ "The data elements", "modeldetails.html#modeldataparts", [
        [ "Data", "modeldetails.html#datasubsec", null ],
        [ "Parameters, vsize, msize1,  msize2", "modeldetails.html#paramsubsec", null ],
        [ "Info", "modeldetails.html#infosubsec", null ],
        [ "settings, more", "modeldetails.html#settingsgroupmention", null ]
      ] ],
      [ "Methods", "modeldetails.html#methodsection", [
        [ "p, log_likelihood", "modeldetails.html#psubsection", null ],
        [ "prep", "modeldetails.html#prepsubsection", null ],
        [ "estimate", "modeldetails.html#estimatesubsection", null ],
        [ "draw", "modeldetails.html#drawsubsection", null ],
        [ "cdf", "modeldetails.html#cdfsubsection", null ],
        [ "constraint", "modeldetails.html#constraintsubsection", null ]
      ] ]
    ] ],
    [ "Topics", "topics.html", "topics" ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Variables", "functions_vars.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"group__all__public.html#gafc7707d44884aa63c298510a0662956a",
"structapop__arms__settings.html#aedd47a0a4ff37b0b371d3731b1938f9c"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';